> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pontua.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Muda status de um evento de folha de pagamento



## OpenAPI

````yaml https://api.pre.pontua.tech/api/public/doc-json patch /payment-sheet/event/{paymentSheetEventId}/status
openapi: 3.0.0
info:
  title: Pontua Public API
  description: >-
    API oficial da Pontua para integrações de clientes externos. Autentique com
    o token gerado no dashboard em **Configurações → API**. Envie o token no
    header `Authorization: Bearer <SEU_TOKEN>`.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payment-sheet/event/{paymentSheetEventId}/status:
    patch:
      tags:
        - Payment Sheet
      summary: Muda status de um evento de folha de pagamento
      operationId: PaymentSheetEventController_changeStatus
      parameters:
        - name: paymentSheetEventId
          required: true
          in: path
          description: ID do evento de folha de pagamento
          schema:
            type: string
      requestBody:
        required: true
        description: Dados para mudança de status
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeStatusDto'
      responses:
        '200':
          description: Evento editado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSheetEventDto'
        default:
          description: "\n\t\t\t400 - Bad Request: A solicitação não está no formato correto.\n\t\t\t401 - Unauthorized: A solicitação não foi autorizada. Verifique se o token de acesso é válido.\n\t\t\t403 - Forbidden: Acesso proibido! Requer um nível de permissão mais elevado.\n\t\t\t404 - Not Found: O recurso solicitado não foi encontrado.\n\t\t\t500 - Internal Server Error: Erro de execução no servidor!\n\t\t\t"
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    ChangeStatusDto:
      type: object
      properties:
        isActive:
          type: boolean
          description: Indica se o recurso ficará ativo ou inativo
          example: true
      required:
        - isActive
    PaymentSheetEventDto:
      type: object
      properties:
        id:
          type: string
          description: Id do evento de folha de pagamento
          example: 123-abc
        code:
          type: string
          description: Código do evento de folha de pagamento
          example: '250087'
        description:
          type: string
          description: Descrição do evento de folha de pagamento
          example: Keevo NG Folha
        source:
          type: string
          description: Fonte do evento de folha de pagamento
          default: Keevo
        isActive:
          type: boolean
          description: Indica se o evento de folha de pagamento está ativo
          example: true
        businessUnit:
          description: Unidade de negócio do evento de folha de pagamento
          allOf:
            - $ref: '#/components/schemas/BusinessUnitDto'
        createdAt:
          format: date-time
          type: string
          description: Data de criação do evento de folha de pagamento
          example: '2023-07-23T00:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          description: Data de atualização do evento de folha de pagamento
          example: '2023-07-23T00:00:00.000Z'
      required:
        - id
        - code
        - description
        - source
        - isActive
        - createdAt
        - updatedAt
    ErrorDto:
      type: object
      properties:
        service:
          type: string
          description: Rota solicitada
        method:
          type: string
          description: Método http
        message:
          description: Mensagem do erro
          oneOf:
            - type: string
              example: message erro
            - type: array
              items:
                type: string
                example:
                  - erro 1
                  - erro 2
      required:
        - service
        - method
        - message
    BusinessUnitDto:
      type: object
      properties:
        id:
          type: string
          description: ID da unidade de negocio
          example: b5887a64-6aa1-43e8-b233-ffadc7f92ca6
        name:
          type: string
          description: Nome da unidade de negocio
          example: Tron
        documentNumber:
          type: string
          description: CPF ou CNPJ da unidade de negocio
          example: '15621118054'
        logo:
          type: string
          description: Url para download da foto da unidade de negócio
          example: https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg
      required:
        - id
        - name
        - documentNumber

````